import React, { Component } from 'react';
import App from './App';
import reducers from './reducers/reducer';
import { createStore,combineReducers } from 'redux';
import { Provider } from 'react-redux';
import {NativeEventEmitter} from 'react-native';
import JitsiManager from './lib/JitsiManager';
import Logger from './lib/Logger';


export default class CometChatCallingComponent extends Component{

  
    constructor(props){
        super(props);
        const rootReducer = combineReducers(reducers);
        this.storeObj = createStore(rootReducer);
        JitsiManager.setCallObject(this.props.call,this.props.isInitiator);
    }

    componentDidMount() {
        this.eventListener = new NativeEventEmitter();
        this.eventListener.addListener('CallEvent',(type) =>{
            if(type.type == "EndCall"){
                this.props.onEndCall();
            }
        });
    }

    render(){
        return(
            <Provider store={this.storeObj}>
              <App 
                    sessionid={this.props.call.sessionId}
                    enableDefaultLayout = {this.props.enableDefaultLayout}
                    hideAudioMuteButton = {this.props.hideAudioMuteButton}
                    hideEndCallButton = {this.props.hideEndCallButton}
                    hidePauseVideoButton = {this.props.hidePauseVideoButton}
                    hideVideoSwitchButton = {this.props.hideVideoSwitchButton}
                    hideAudioModeButton = {this.props.hideAudioModeButton}
                    isAudioOnly = {this.props.isAudioOnly}
                    uid = {this.props.uid}
              />
            </Provider>
        );
    
    }
}  